# ForsakenPowerOverhaul
Changes Forsaken Powers to have a Passive, an Active, and a Shared Active Component. Includes Power Cycling. Fully Customizable.

​
### Passive
> Stats from this Component are always granted to the Player.  
> - Example: Eikthyr's Passive of `Max Stamina +50` will always be granted.

### Active
> Stats from  this Component are granted to the Player for a period of time. The Stats depend on which Power was Activated.
> - Example: Eikthyr's Active of `Stamina Regeneration +100%` will be granted when Eikthyr's Power is Activated.

### Shared Active
> Stats from  this Component are granted to the Player for a period of time regardless of which Power was Activated.
> - Example: Moder's Shared Active of `Stamina Regeneration +100%` will stack with Eikthyr's Active of `Stamina Regeneration +100%` for a total of `+200%` when Eikthyr's Power is Activated.

​
### Power Cycling
> You no longer need to go to the Stone Temple every time you want change your current Power.  
> Default Button: `G`

​
<details><summary>Full List of Features</summary>

- Powers now have a Passive, an Active, and a Shared Active Component.
- Powers can now be cycled with `G` (`Configurable`).
- Access to Powers and their Stats are World-Dependent.
- Hanging Boss Trophies will unlock their Powers automagically.
- Each Power's Stats (`Configurable`) can be viewed from the Hanged Trophies or through the Compendium.
- Corpse Run is Disabled (`Configurable`) by Default for Game Balance.
</details>

### This Mod is best experienced in a New World. If you are installing it on an already-existing World, you will need to go to the Stone Temple (Boss Stones / Trophy Area) at least once.

​
## CONFIGURATION
This Mod comes with a Default Preset that is different from the original Forsaken Powers. You may change them to fit your intended experience.  
- Changes to Passive Components are applied immediately.
- Changes to Active and Shared Active Components will be applied on the next Power Activation.  
- Everything but the `Power Cycle Key` is Server-Synced.

​
<details><summary>Currently Supported Stats</summary>

- Max Health
- Health Regen
- Health Regen Modifier
- Max Stamina
- Stamina Regen Modifier
- Max Eitr
- Eitr Regen Modifier
- Max Weight
- Move Speed Modifier
- Jump Force Modifier
- Max Fall Speed
- Equipment Speed Modifier
- Wind Speed Modifier
- Run Stamina Cost Modifier
- Jump Stamina Cost Modifier
- Stealth Modifier
- Noise Modifier
- Status Attribute
- Outgoing Damage Modifier
- Fall Damage Modifier
- Incoming Damage Modifier
</details>

### This Mod's Config File is over 2,500 Lines long. Please use the in-game Config Manager by BepInEx for ease of use.

​
## COMPATIBILITY
### Compatible
  - Auga
    > Tooltips and Compendium Entries will be worked on when the Auga API Documentation is released.  

​
### Compatible but Check for Config Priority
  > Mods that change Forsaken Power Duration and Cooldown.
  - Valheim Plus

​
### Incompatible
  > Mods that change Forsaken Power Behavior.  
  > Mods that add Custom Powers. Support will be added on request.
  - Passive Powers
  - Forsaken Power Plus

​
## INSTALLATION
This Mod is required on BOTH the Client and the Server.
#### Manual / Server
- Place the `.dll` File in `Valheim/BepInEx/Plugins`.

​
## AUTHOR INFORMATION
### JuneGame
#### Contact
- Feedback, Questions, and Suggestions can be brought up in my Discord Server.  
`DISCORD` https://discord.gg/XeSjwzQZyq

#### Support
- If you like my work, please consider supporting!  
`KO-FI` https://ko-fi.com/JuneGame